Bug 2570 - cannot run calibre DRC
cannot run calibre DRC
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: Tools:Other
1
PC Linux
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:26 UTC by strubin
Modified: 2011-04-15 20:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:26:29 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2009-09-10 16:41:16 **

I cannot run calibre DRC on
cell xprox/timingRecovery:pd1{lay}

Running external script 'CALIBRE DRC TSMC40GP' on pd1{lay}
/home/fl155327/xprox/electric/calibre/pd1.gds written
Running command /import/async/cad/linux/bin/drccal40  pd1 pd1.gds
Time to write GDS: 0.146 seconds
Time to run CALIBRE DRC TSMC40GP: 6.971 seconds
Total time for DRC: 7.117 seconds
Ignoring line M3.DN.5.density.1: pd1 1000
Ignoring line M2.DN.5.density.1: pd1 1000
Ignoring line M1.DN.5.density.1: pd1 1000
java.lang.UnsupportedOperationException
\tat com.sun.electric.tool.UserInterfaceExec.termLogging(UserInterfaceExec.java:116)
\tat com.sun.electric.tool.user.ErrorLogger.termLogging(ErrorLogger.java:970)
\tat com.sun.electric.tool.drc.CalibreDrcErrors.readDensityErrors(CalibreDrcErrors.java:582)
\tat com.sun.electric.plugins.menus.SunAsyncMenu$GdsJob.processFinished(SunAsyncMenu.java:1067)
\tat com.sun.electric.tool.user.ExecMulti.done(ExecMulti.java:91)
\tat com.sun.electric.tool.user.ExecMulti.startNext(ExecMulti.java:57)
\tat com.sun.electric.tool.user.ExecMulti.processFinished(ExecMulti.java:86)
\tat com.sun.electric.tool.user.Exec.run(Exec.java:267)
Comment 1 strubin 2011-04-15 17:19:49 UTC
** ORIGINALLY POSTED BY nadezhin on 2009-09-10 21:26:34 **

FIX: Implement UserInterfaceExec.termLogging while discussing with Jon and Adam other solution.
Comment 2 strubin 2011-04-15 17:19:52 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-09-11 14:55:17 **

Being released in v8.10g and assuming Dima tested it. Closing now.